package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MesOrderBean   extends BaseMesPageBean {

        /**
         * pageNum : 1
         * pageSize : 10
         * size : 3
         * startRow : 1
         * endRow : 3
         * total : 3
         * pages : 1
         * list : [{"id":"22222","createDateTime":1586941483000,"updateDateTime":1586941483000,"manufactureOrderNumber":"ZLD0001","siteId":"1c37c889ffa211e98334fa163e1166bd","siteCode":"GK10","siteName":"铝碳厂","productId":"7101010688L","productName":"塞棒(高碱）加套B354-2","productCode":"7101010688L","specification":"1560","drawingNumber":"xxxxx","planCount":20,"deliveryDate":1574870400000,"scheduleStatus":"0","auditStatus":"1","index":0,"type":"0","seriesName":"1.6米以下免车塞棒（勿删）","materialName":"塞棒(高碱）加套B354-2","materialCode":"7101010688L","specifications":"1560","planQuantity":20,"unit":"个","batchNo":"ZLD0001","seriesId":"7a671920a0b811ea8334fa163e1166bd","delete":false},{"id":"5ac6962d9ed911e8b81100163e049447","createDateTime":1586941483000,"updateDateTime":1586941483000,"manufactureOrderNumber":"ZLD0001","siteId":"GK10","siteCode":"GK10","siteName":"生产部（GK）","productId":"7101010377D","productName":"塞棒B421","productCode":"7101010377D","specification":null,"drawingNumber":"xxxxx","planCount":50,"deliveryDate":1590595200000,"scheduleStatus":"0","auditStatus":"0","index":1,"type":"0","seriesName":"4545","materialName":"塞棒B421","materialCode":"7101010377D","specifications":null,"planQuantity":50,"unit":"1","batchNo":"ZLD0001","seriesId":"1","delete":false},{"id":"cf185b11382311ea8334fa163e1166bd","createDateTime":1586941483000,"updateDateTime":1586941483000,"manufactureOrderNumber":"LSL1111","siteId":"GK10","siteCode":"GK10","siteName":"生产部（GK）","productId":"7101010688L","productName":"塞棒(高碱）加套B354-2","productCode":"7101010688L","specification":null,"drawingNumber":"xxxxx","planCount":20,"deliveryDate":1574870400000,"scheduleStatus":"0","auditStatus":"0","index":0,"type":"0","seriesName":"1.6米以下免车塞棒（勿删）","materialName":"塞棒(高碱）加套B354-2","materialCode":"7101010688L","specifications":null,"planQuantity":20,"unit":null,"batchNo":"LSL1111","seriesId":"7a671920a0b811ea8334fa163e1166bd","delete":false}]
         * prePage : 0
         * nextPage : 0
         * isFirstPage : true
         * isLastPage : true
         * hasPreviousPage : false
         * hasNextPage : false
         * navigatePages : 8
         * navigatepageNums : [1]
         * navigateFirstPage : 1
         * navigateLastPage : 1
         * firstPage : 1
         * lastPage : 1
         */
        private List<ListBean> list;


        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {
            /**
             * id : 22222
             * createDateTime : 1586941483000
             * updateDateTime : 1586941483000
             * manufactureOrderNumber : ZLD0001
             * siteId : 1c37c889ffa211e98334fa163e1166bd
             * siteCode : GK10
             * siteName : 铝碳厂
             * productId : 7101010688L
             * productName : 塞棒(高碱）加套B354-2
             * productCode : 7101010688L
             * specification : 1560
             * drawingNumber : xxxxx
             * planCount : 20
             * deliveryDate : 1574870400000
             * scheduleStatus : 0
             * auditStatus : 1
             * index : 0
             * type : 0
             * seriesName : 1.6米以下免车塞棒（勿删）
             * materialName : 塞棒(高碱）加套B354-2
             * materialCode : 7101010688L
             * specifications : 1560
             * planQuantity : 20
             * unit : 个
             * batchNo : ZLD0001
             * seriesId : 7a671920a0b811ea8334fa163e1166bd
             * delete : false
             */

            private String id;
            private long createDateTime;
            private long updateDateTime;
            private String manufactureOrderNumber;
            private String siteId;
            private String siteCode;
            private String siteName;
            private String productId;
            private String productName;
            private String productCode;
            private String specification;
            private String drawingNumber;
            private int planCount;
            private long deliveryDate;
            private String scheduleStatus;
            private String auditStatus;
            private int index;
            private String type;
            private String seriesName;
            private String materialName;
            private String materialCode;
            private String specifications;
            private int planQuantity;
            private String unit;
            private String batchNo;
            private String seriesId;
            private boolean delete;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public long getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(long createDateTime) {
                this.createDateTime = createDateTime;
            }

            public long getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(long updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getManufactureOrderNumber() {
                return manufactureOrderNumber;
            }

            public void setManufactureOrderNumber(String manufactureOrderNumber) {
                this.manufactureOrderNumber = manufactureOrderNumber;
            }

            public String getSiteId() {
                return siteId;
            }

            public void setSiteId(String siteId) {
                this.siteId = siteId;
            }

            public String getSiteCode() {
                return siteCode;
            }

            public void setSiteCode(String siteCode) {
                this.siteCode = siteCode;
            }

            public String getSiteName() {
                return siteName;
            }

            public void setSiteName(String siteName) {
                this.siteName = siteName;
            }

            public String getProductId() {
                return productId;
            }

            public void setProductId(String productId) {
                this.productId = productId;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public String getProductCode() {
                return productCode;
            }

            public void setProductCode(String productCode) {
                this.productCode = productCode;
            }

            public String getSpecification() {
                return specification;
            }

            public void setSpecification(String specification) {
                this.specification = specification;
            }

            public String getDrawingNumber() {
                return drawingNumber;
            }

            public void setDrawingNumber(String drawingNumber) {
                this.drawingNumber = drawingNumber;
            }

            public int getPlanCount() {
                return planCount;
            }

            public void setPlanCount(int planCount) {
                this.planCount = planCount;
            }

            public long getDeliveryDate() {
                return deliveryDate;
            }

            public void setDeliveryDate(long deliveryDate) {
                this.deliveryDate = deliveryDate;
            }

            public String getScheduleStatus() {
                return scheduleStatus;
            }

            public void setScheduleStatus(String scheduleStatus) {
                this.scheduleStatus = scheduleStatus;
            }

            public String getAuditStatus() {
                return auditStatus;
            }

            public void setAuditStatus(String auditStatus) {
                this.auditStatus = auditStatus;
            }

            public int getIndex() {
                return index;
            }

            public void setIndex(int index) {
                this.index = index;
            }

            public String getType() {
                return type;
            }

            public void setType(String type) {
                this.type = type;
            }

            public String getSeriesName() {
                return seriesName;
            }

            public void setSeriesName(String seriesName) {
                this.seriesName = seriesName;
            }

            public String getMaterialName() {
                return materialName;
            }

            public void setMaterialName(String materialName) {
                this.materialName = materialName;
            }

            public String getMaterialCode() {
                return materialCode;
            }

            public void setMaterialCode(String materialCode) {
                this.materialCode = materialCode;
            }

            public String getSpecifications() {
                return specifications;
            }

            public void setSpecifications(String specifications) {
                this.specifications = specifications;
            }

            public int getPlanQuantity() {
                return planQuantity;
            }

            public void setPlanQuantity(int planQuantity) {
                this.planQuantity = planQuantity;
            }

            public String getUnit() {
                return unit;
            }

            public void setUnit(String unit) {
                this.unit = unit;
            }

            public String getBatchNo() {
                return batchNo;
            }

            public void setBatchNo(String batchNo) {
                this.batchNo = batchNo;
            }

            public String getSeriesId() {
                return seriesId;
            }

            public void setSeriesId(String seriesId) {
                this.seriesId = seriesId;
            }

            public boolean isDelete() {
                return delete;
            }

            public void setDelete(boolean delete) {
                this.delete = delete;
            }
        }
}
